List payment schedules
curl --request GET \
--url https://api-sandbox.synctera.com/v0/payment_schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/payment_schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/payment_schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_schedules": [
{
"creation_time": "2023-11-07T05:31:56Z",
"last_updated_time": "2023-11-07T05:31:56Z",
"tenant": "abcdef_ghijkl",
"description": "<string>",
"payment_instruction": {
"request": {
"amount": 607,
"currency": "USD",
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"dc_sign": "debit",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"company_entry_description": "PAYROLL",
"company_name": "Asdf Finance",
"effective_date": "2022-03-18",
"external_data": {},
"final_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hold": {
"amount": 123,
"duration": 2
},
"is_same_day": true,
"memo": "<string>",
"reference_info": "Tempore atque et cum.",
"risk": {
"client_ip": "<string>"
},
"sec_code": "WEB"
},
"type": "ACH"
},
"schedule": {
"frequency": "DAILY",
"interval": 183,
"start_date": "2023-12-25",
"count": 2,
"end_date": "2023-12-25",
"execution_time": "07:30:00",
"start_search": "BACKWARD"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"next_payment_date": {
"execution_date": "2023-12-25",
"scheduled_date": "2023-12-25"
},
"status": "ACTIVE"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}PaymentSchedules
List payment schedules
Get paginated list of payment schedules
GET
/
payment_schedules
List payment schedules
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Case insensitive wildcard search for description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Available options:
creation_time:asc, creation_time:desc, payment_type:asc, payment_type:desc Status of the payment schedule.
Available options:
ACTIVE, CANCELLED, ERRORED, EXPIRED Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Was this page helpful?

